COSH(3)

NAME
cosh, coshf - hyperbolic cosine

SYNOPSIS

#include <math.h>

double cosh(double x);

float coshf(float x);

DESCRIPTION

cosh computes the hyperbolic cosine of the argument x. cosh(x) is defined as

     (exp(x) + exp(-x))/2

Angles are specified in radians. coshf is identical, save that it takes and returns float.

RETURNS

The computed value is returned. When the correct value would create an overflow, cosh returns the value HUGE_VAL with the appropriate sign, and the global value errno is set to ERANGE.

PORTABILITY

cosh is ANSI. coshf is an extension.